> ## Documentation Index
> Fetch the complete documentation index at: https://docs.somya.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Feedback Route



## OpenAPI

````yaml https://api.somya.ai/openapi.json get /v1/feedback
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/feedback:
    get:
      tags:
        - feedback
      summary: List Feedback Route
      operationId: list_feedback_route_v1_feedback_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: request_type
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - tts
                  - asr
                type: string
              - type: 'null'
            title: Request Type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FeedbackListResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        data:
          $ref: '#/components/schemas/FeedbackListData'
      type: object
      required:
        - data
      title: FeedbackListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FeedbackListData:
      properties:
        items:
          items:
            $ref: '#/components/schemas/FeedbackItem'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        has_next:
          type: boolean
          title: Has Next
      type: object
      required:
        - items
        - total
        - page
        - limit
        - has_next
      title: FeedbackListData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FeedbackItem:
      properties:
        feedback_id:
          type: string
          format: uuid
          title: Feedback Id
        request_id:
          type: string
          format: uuid
          title: Request Id
        request_type:
          type: string
          title: Request Type
        feedback_text:
          type: string
          title: Feedback Text
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - feedback_id
        - request_id
        - request_type
        - feedback_text
        - created_at
      title: FeedbackItem

````